<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.TFascEditLogMapper">

  <resultMap id="tFascEditLogMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.TFascEditLog">
    <id property="id" column="id"/>
    <result property="mainId" column="main_id"/>
    <result property="mainType" column="main_type"/>
    <result property="editContent" column="edit_content"/>
    <result property="createBy" column="CREATE_BY"/>
    <result property="createName" column="CREATE_NAME"/>
    <result property="createTime" column="CREATE_TIME"/>
    <result property="updateBy" column="UPDATE_BY"/>
    <result property="updateTime" column="UPDATE_TIME"/>
  </resultMap>
    <sql id="Base_Column_List">
                a.id,
                a.main_id,
                a.main_type,
                a.edit_content,
                a.CREATE_BY,
                a.CREATE_NAME,
                a.CREATE_TIME,
                a.UPDATE_BY,
                a.UPDATE_TIME
    </sql>
    <sql id="tFascEditLog_where">
        <if test="tFascEditLog != null">
                    <if test="tFascEditLog.id != null and tFascEditLog.id.trim() != ''">
                        AND a.id = #{tFascEditLog.id}
                    </if>
                    <if test="tFascEditLog.mainId != null and tFascEditLog.mainId.trim() != ''">
                        AND a.main_id = #{tFascEditLog.mainId}
                    </if>
                    <if test="tFascEditLog.mainType != null and tFascEditLog.mainType.trim() != ''">
                        AND a.main_type = #{tFascEditLog.mainType}
                    </if>
                    <if test="tFascEditLog.editContent != null and tFascEditLog.editContent.trim() != ''">
                        AND a.edit_content = #{tFascEditLog.editContent}
                    </if>
                    <if test="tFascEditLog.createBy != null and tFascEditLog.createBy.trim() != ''">
                        AND a.CREATE_BY = #{tFascEditLog.createBy}
                    </if>
                    <if test="tFascEditLog.createName != null and tFascEditLog.createName.trim() != ''">
                        AND a.CREATE_NAME = #{tFascEditLog.createName}
                    </if>
                    <if test="tFascEditLog.createTime != null">
                        AND a.CREATE_TIME = #{tFascEditLog.createTime}
                    </if>
                    <if test="tFascEditLog.updateBy != null and tFascEditLog.updateBy.trim() != ''">
                        AND a.UPDATE_BY = #{tFascEditLog.updateBy}
                    </if>
                    <if test="tFascEditLog.updateTime != null">
                        AND a.UPDATE_TIME = #{tFascEditLog.updateTime}
                    </if>
        </if>
    </sql>
    <!--tFascEditLog简单分页查询-->
    <select id="getTFascEditLogPage" resultMap="tFascEditLogMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM t_fasc_edit_log a
        <where>
            1=1
            <include refid="tFascEditLog_where"/>
        </where>
		order by a.CREATE_TIME desc
    </select>
    <!--tFascEditLog简单分页查询-->
    <select id="getTFascEditLogList" resultMap="tFascEditLogMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM t_fasc_edit_log a
        <where>
            1=1
            <include refid="tFascEditLog_where"/>
        </where>
		order by a.CREATE_TIME desc
    </select>
</mapper>
